var groups = opener.groups;

function InitPostOptions() {
	// This is to stick the moods in a drop down menu. From Livelizard.
	var mood;
	var mood_menulist = document.getElementById("moods");
	mood_menulist.removeChild(mood_menulist.firstChild);
	mood_menulist.appendChild(document.createElement("menupopup"));
	for (i = 0; i < opener.result.moods.length; i++) {
		mood = opener.result.moods[i];
		mood_menulist.appendItem(mood.name, mood.id);
	}
	// For picture keywords.
	var pickw;
	var pickw_menulist = document.getElementById("picture");
	pickw_menulist.removeChild(pickw_menulist.firstChild);
	pickw_menulist.appendChild(document.createElement("menupopup"));
	for (i = 0; i < opener.result.pickw.length; i++) {
		pickw = opener.result.pickw[i];
		pickw_menulist.appendItem(pickw.keyword, pickw.keyword);
	}
	// Remember the setting in case the post options window has just been opened and closed within the same entry.
	if (opener.pickw) {
		pickw_menulist.selectedIndex = opener.FindIndex(pickw_menulist.childNodes[0],"label",opener.pickw);
	}
	if (opener.music) {document.getElementById("music").value = opener.music; }
	if (parseInt(opener.mood) > 0) {
		document.getElementById("moods").selectedIndex = opener.moodmenuindex;
	} else if (typeof(opener.mood) == "string") {
		document.getElementById("moods").label = opener.mood;
	}
	document.getElementById("security").selectedIndex = opener.FindIndex(document.getElementById("security").childNodes[0],"value",opener.security);
	document.getElementById("dontautoformat").checked = opener.dontautoformat;
	document.getElementById("removecomment").checked = opener.removecomment;
	document.getElementById("backdate").checked = opener.backdate;
}

function OkClicked() {
	opener.music = document.getElementById("music").value;

	// Figure out if a mood ID has been chosen or a custom mood has been entered.
	if ( (document.getElementById("moods").selectedIndex < 0) && (document.getElementById("moods").label.length > 0) ) {
		opener.mood = document.getElementById("moods").label;
	} else if (document.getElementById("moods").selectedIndex > 0) {
		opener.moodmenuindex = document.getElementById("moods").selectedIndex;
		opener.mood = parseInt(opener.result.moods[opener.moodmenuindex].id);
	} else {
		opener.mood = null;
	}

	opener.security = document.getElementById("security").value;
	opener.groups = groups;
	
	opener.dontautoformat = document.getElementById("dontautoformat").checked;
	opener.removecomment = document.getElementById("removecomment").checked;
	opener.backdate = document.getElementById("backdate").checked;
	
	// Find the picture keyword, and change the icon on the post entry box.
	if (document.getElementById("picture").selectedIndex > -1) {
		opener.document.getElementById("userpic").src = opener.result.pickw[document.getElementById("picture").selectedIndex].url;
	} else {
			opener.document.getElementById("userpic").src = opener.getResponseData("defaultpicurl", opener.response);
	}
		opener.pickw = document.getElementById("picture").label;

	//opener.document.getElementById("message").contentWindow.focus();
	window.close();
}

function ShowSecurity() {
	// To open up the Post Security Options. Note to self: combine these window opening things into just the one function.
	window.openDialog("chrome://deepestsender/content/SecurityOptions.xul","securityoptions","chrome,modal");
}

function SetPostDefaults() {
	// If the Set As Defaults button has been clicked.
	opener.getPrefDS().SetBoolPref("deepestSender.DontAutoFormat", document.getElementById("dontautoformat").checked);
	opener.getPrefDS().SetBoolPref("deepestSender.RemoveComment", document.getElementById("removecomment").checked);
	opener.getPrefDS().SetBoolPref("deepestSender.BackDate", document.getElementById("backdate").checked);
	opener.getPrefDS().SetCharPref("deepestSender.Security", document.getElementById("security").value);
	opener.getPrefDS().SetIntPref("deepestSender.FriendsGroups", groups);
}